# global variables for DTMonitor
class Globals:
    # period between two checks (seconds)
    period = 60

    # period between two e-mail notifications (seconds)
    notification_period = 3600*3 # 3 hours

    # notification receiver
    notification_receiver = [ 'par-dataflow@eso.org', 'vforchi@eso.org', 'szampier@eso.org' ]
    #notification_receiver = [ 'vforchi@eso.org' ]

    # minimum time between two e-mails (seconds)
    minimum_notification_interval = 600

    # directories where the messages are created
    msgRootDir        = '/data/lists'
    msgdirs           = dict()
    msgdirs['ADO']    = msgRootDir + '/archivedataorganizer'
    msgdirs['DTS']    = msgRootDir + '/disktransferscheduler'
    msgdirs['NTS']    = msgRootDir + '/networktransferscheduler'
    msgdirs['NTS4HDR']  = msgRootDir + '/networktransferscheduler4hdr'

    # log files
    logRootDir         = '/data/msg'
    logfiles           = dict()
    logfiles['ADO']    = logRootDir + '/ArchiveDataOrganizer.log'
    logfiles['DTS']    = logRootDir + '/DiskTransferScheduler.log'
    logfiles['NTS']    = logRootDir + '/NetworkTransferScheduler.log'
    logfiles['NTS4HDR']  = logRootDir + '/NetworkTransferScheduler4hdr.log'

    # place where raw data are stored
    dataDir            = '/data/raw'
    
    # place where USB disks are plugged
    diskDir            = '/data/disks'

    # thresholds for queued messages
    messagesThreshold = dict()
    messagesThreshold['incoming']   = 100
    messagesThreshold['processing'] = 500
    messagesThreshold['processed']  = 1e6
    messagesThreshold['rejected']   = 0

    # disk space thresholds (free space / total space)
    DISK_SPACE_ALARM    = 0.1
    DISK_SPACE_WARNING  = 0.3

    # time (in seconds) after which an unmodified log file is considered an alarm
    TIME_THRESHOLD = 3600

    # enable database check
    database_enabled = True

    # database parameters
    DBSERVER    = 'ASTOP'
    DBUSER      = 'ngas'
    DBPASSWORD  = 'ngas_pw'

    # day on which the DT system was started in MJD
    dt_starting_day         = 54656         # July 9, 2008
    dt_starting_day_epoch   = 1215561600.0  # July 9, 2008 [ time.mktime((2008, 7, 9, 0, 0, 0, 0, 0, 0)) ]
    # days to be checked in ngas_files_safe for not archived files
    db_check_period = 30 # last 30 days
    # number of file not in ngas_files_safe that is considered dangerous
    # unarchived_files_threshold = 1000
    # maximum number of days a file can wait before going into the archive
    waiting_period_warning_threshold    = 15
    waiting_period_alarm_threshold      = 30

    log_file = '/data/msg/DTMonitor.log'

    debug = False
    email_enabled = True
